/*---------------------------------------------------------------------
This driver exercises the SQL select command on a simple file-based database.

Specification:
	Input:  the name of a relational table (name);
		a field name and value to restrict the selection;
	Output: a string of records restricted by the user input.
------------------------------------------------------------------------*/

#include <iostream>
#include <string>
using namespace std;

#include "select.h"

int main()
{
  string
    tableName,          // the table name, not the associated filenames
    projectedFieldName, // the field being projected
    selectedFieldName,  // the field whose value you want to restrict
    selectedOperator,   // the relational operator for the restriction
    selectedFieldValue; // the value that the field should have

  // Get the specifics of the select command from the user (using a 
  //    format similar to the SQL select statement.
  cout << "\nWelcome to SelectBase, a simple database system"
       << "\n\nPlease complete the following query: "
       << "\n\nSELECT ";
  cin >> projectedFieldName;
  cout << "FROM ";
  cin >> tableName;
  cout << "WHERE ";
  cin >> selectedFieldName >> selectedOperator >> selectedFieldValue;

  // Execute the Select command.
  select(projectedFieldName, tableName, selectedFieldName, 
	 selectedOperator, selectedFieldValue);



  return 0;
}
